
use strict;
use Test;
BEGIN { plan tests => 7, onfail => sub { die "Failed!\n" } }
use String::LibTRGM::Spell;

my $string = qq[0.583333 " "|0.428571 "  "|0.391304 "  "|0.360000 "  "|0.333333 "   "|0.320000 "  "|0.266667 " "|0.250000 " "|0.214286 " "|0.200000 " "];

my $select = q[<select name="trigrm">
<option value=" "> 
<option value="  ">  
<option value="  ">  
<option value="  ">  
<option value="   ">   
<option value="  ">  
</select>];

my $chkboxes = q[<input type="checkbox" name="trigrm" value=" "> <br>
<input type="checkbox" name="trigrm" value="  ">  <br>
<input type="checkbox" name="trigrm" value="  ">  <br>
<input type="checkbox" name="trigrm" value="  ">  <br>
<input type="checkbox" name="trigrm" value="   ">   <br>
<input type="checkbox" name="trigrm" value="  ">  <br>
];

my $ol = q[<ol>
<li><a href="page.html?par= "> </a>
<li><a href="page.html?par=  ">  </a>
<li><a href="page.html?par=  ">  </a>
<li><a href="page.html?par=  ">  </a>
<li><a href="page.html?par=   ">   </a>
<li><a href="page.html?par=  ">  </a>
</ol>];

my $ol3 = q[<ol>
<li><a href="page.html?par= "> </a>
<li><a href="page.html?par=  ">  </a>
<li><a href="page.html?par=  ">  </a>
</ol>];

my $out = '';
my $obj = String::LibTRGM::Spell->new(out => sub { $out.=$_[0] });
ok('String::LibTRGM::Spell', ref $obj);
$obj->get_bestmatch($string);
ok(10, scalar($obj->get_strings));
ok(0, $obj->set_tolerance(0.5));
$obj->get_bestmatch($string);
ok(6, scalar($obj->get_strings));
$obj->get_select_widget(name => 'trigrm');
ok($select, $out);
$out = '';
$obj->get_checkboxes(name => 'trigrm');
ok($chkboxes, $out);
$out = '';
$obj->get_list(ordered => 1, beg => sub { qq[<a href="page.html?par=$_[0]">] }, end => sub { '</a>' });
ok($ol, $out);
$out = '';
$obj->set_length(3);
$obj->get_bestmatch($string);
$obj->get_list(ordered => 1, beg => sub { qq[<a href="page.html?par=$_[0]">] }, end => sub { '</a>' });
ok($ol3, $out);
